# PSF-LoginServer - master - net.psforever.objects.vital.etc.ExplodingEntityReason
PSF - LoginServer - master - net.psforever.objects.vital.etc.ExplodingEntityReason
Keywords: PSF LoginServer master net.psforever.objects.vital.etc.ExplodingEntityReason

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package etc
  Definition Classes
    vital
- EmpReason
- ExplodingDamageModifiers
- ExplodingEntityReason
- ExplodingRadialDegrade
- PainboxReason
- SuicideReason
- TriggerUsedReason
- TrippedMineReason
- VehicleSpawnReason

o

net.psforever.objects.vital.etc

# ExplodingEntityReason 

###
Companion class ExplodingEntityReason

#### object ExplodingEntityReason extends Serializable

Source
  ExplodingEntityReason.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExplodingEntityReason
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(entity: PlanetSideGameObject with FactionAffinity with Vitality, damageModel: DamageAndResistance, instigation: Option[DamageResult]): ExplodingEntityReason

   An overloaded constructor for a wrapper for a "damage source" in damage calculations.

   An overloaded constructor for a wrapper for a "damage source" in damage calculations.

   entity

     the source of the explosive yield

   damageModel

     the model to be utilized in these calculations

   instigation

     what previous event happened, if any, that caused this explosion

   returns

     an `ExplodingEntityReason` entity

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped